Get Workflow
curl --request GET \
--url https://api.neuralfactory.ai/workflows/{workflow_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.neuralfactory.ai/workflows/{workflow_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "",
"version": "1.0.0",
"status": "active",
"step_count": 0,
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "private",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"revision": 1,
"edit_seq": 0,
"published_revision": 123,
"from_use_case": {
"id": "<string>",
"version": 123
},
"governance_warnings": [
"<string>"
],
"last_run": {
"status": "<string>",
"completed_at": "<string>"
},
"run_count": 0,
"pending_approvals": 0,
"last_run_execution_id": "<string>",
"recent_statuses": [
"<string>"
],
"cost_30d": 123,
"tags": [
"<string>"
],
"is_favourite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Get Workflow
API key permission: Agents (Admin also opens it).
GET
/
workflows
/
{workflow_id}
Get Workflow
curl --request GET \
--url https://api.neuralfactory.ai/workflows/{workflow_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.neuralfactory.ai/workflows/{workflow_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "",
"version": "1.0.0",
"status": "active",
"step_count": 0,
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "private",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"revision": 1,
"edit_seq": 0,
"published_revision": 123,
"from_use_case": {
"id": "<string>",
"version": 123
},
"governance_warnings": [
"<string>"
],
"last_run": {
"status": "<string>",
"completed_at": "<string>"
},
"run_count": 0,
"pending_approvals": 0,
"last_run_execution_id": "<string>",
"recent_statuses": [
"<string>"
],
"cost_30d": 123,
"tags": [
"<string>"
],
"is_favourite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Response
Successful Response